VERSION(8)

NAME
Version - =drive utilities

DESCRIPTION
==========================================================================================

    openSeaChest_Info - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2023 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_Info Version: 2.5.0-6_2_0 X86_64 Build Date: Dec 1 2023 Today: Fri Dec 1 15:18:14 2023 User: current user

========================================================================================== Usage =====

    openSeaChest_Info [-d <sg_device>] {arguments} {options}

Examples ========

    openSeaChest_Info --scan openSeaChest_Info -d /dev/sg<#> -i openSeaChest_Info -d /dev/sg<#> --SATInfo openSeaChest_Info -d /dev/sg<#> --llInfo openSeaChest_Info -d /dev/sg<#> --showConcurrentRanges openSeaChest_Info -d /dev/sg<#> --deviceStatistics openSeaChest_Info -d /dev/sg<#> --smartAttributes hybrid openSeaChest_Info -d /dev/sg<#> --showSCSIDefects g --defectFormat bfi

Return codes ============

    Generic/Common exit codes 0 = No Error Found 1 = Error in command line options 2 = Invalid Device Handle or Missing Device Handle 3 = Operation Failure 4 = Operation not supported 5 = Operation Aborted 6 = File Path Not Found 7 = Cannot Open File 8 = File Already Exists 9 = Need Elevated Privileges Anything else = unknown error

Utility Options ===============

--echoCommandLine

    Echo the command line entered into the utility on the screen.

--enableLegacyUSBPassthrough

    Only use this option on old USB or IEEE1394 (Firewire) products that do not otherwise work with the tool. This option will enable a trial and error method that attempts sending various ATA Identify commands through vendor specific means. Because of this, certain products that may respond in unintended ways since they may interpret these commands differently than the bridge chip the command was designed for.

--forceATA

    Using this option will force the current drive to be treated as a ATA drive. Only ATA commands will be used to talk to the drive.

--forceATADMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to DMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceATAPIO
    (SATA Only)

    Using this option will force the tool to issue PIO commands to ATA device when possible. This option can be combined with --forceATA

--forceATAUDMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to UDMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceSCSI

    Using this option will force the current drive to be treated as a SCSI drive. Only SCSI commands will be used to talk to the drive.

--forceNVME

    Using this option will force the current drive to be treated as a NVME drive. Only NVME commands will be used to talk to the drive.

-h, --help

    Show utility options and example usage (this output you see now) Please report bugs/suggestions to seaboard@seagate.com. Include the output of --version information in the email.

--license

    Display the Seagate End User License Agreement (EULA).

--modelMatch [model Number]

    Use this option to run on all drives matching the provided model number. This option will provide a closest match although an exact match is preferred. Ex: ST500 will match ST500LM0001

--noBanner

    Use this option to suppress the text banner that displays each time openSeaChest is run.

--onlyFW [firmware revision]

    Use this option to run on all drives matching the provided firmware revision. This option will only do an exact match.

--onlySeagate

    Use this option to match only Seagate drives for the options provided

-q, --quiet

    Run openSeaChest_Info in quiet mode. This is the same as -v 0 or --verbose 0

-v [0-4], --verbose [0 | 1 | 2 | 3 | 4]

    Show verbose information. Verbosity levels are: 0 - quiet 1 - default 2 - command descriptions 3 - command descriptions and values 4 - command descriptions, values, and data buffers Example: -v 3 or --verbose 3

-V, --version

    Show openSeaChest_Info version and copyright information & exit

Utility Arguments =================

-d, --device [deviceHandle | all]

    Use this option with most commands to specify the device handle on which to perform an operation. Example: /dev/sg<#> To run across all devices detected in the system, use the "all" argument instead of a device handle. Example: -d all NOTE: The "all" argument is handled by running the

specified options on each drive detected in the
    OS sequentially. For parallel operations, please use a script opening a separate instance for each device handle.

-F, --scanFlags [option list]

    Use this option to control the output from scan with the options listed below. Multiple options can be combined.

ata - show only ATA (SATA) devices
    usb - show only USB devices scsi - show only SCSI (SAS) devices nvme - show only NVMe devices interfaceATA - show devices on an ATA interface interfaceUSB - show devices on a USB interface interfaceSCSI - show devices on a SCSI or SAS interface interfaceNVME = show devices on an NVMe interface sd - show sd device handles sgtosd - show the sd and sg device handle mapping

-i, --deviceInfo

    Show information and features for the storage device

--llInfo

    Dump low-level information about the device to assist with debugging.

-s, --scan

    Scan the system and list all storage devices with logical /dev/sg<#> assignments. Shows model, serial and firmware numbers. If your device is not listed on a scan immediately after booting, then wait 10 seconds and run it again.

-S, --Scan

    This option is the same as --scan or -s, however it will also perform a low level rescan to pick up other devices. This low level rescan may wake devices from low power states and may cause the OS to re-enumerate them. Use this option when a device is plugged in and not discovered in a normal scan. NOTE: A low-level rescan may not be available on all interfaces or all OSs. The low-level rescan is not guaranteed to find additional devices in the system when the device is unable to come to a ready state.

--SATInfo

    Displays SATA device information on any interface using both SCSI Inquiry / VPD / Log reported data (translated according to SAT) and the ATA Identify / Log reported data.

--testUnitReady

    Issues a SCSI Test Unit Ready command and displays the status. If the drive is not ready, the sense key, asc, ascq, and fru will be displayed and a human readable translation from the SPC spec will be displayed if one is available.

--fastDiscovery

Use this option
    to issue a fast scan on the specified drive.

--deviceStatistics

    Use this option to display the device statistics reported by the device. On SATA, this uses the Device Statistics log, and the notifications log (if DSN feature is supported) to display these statistics. On SAS, various log pages are read to collect a bunch of reported parameter information.

--showConcurrentRanges

    Use this option to display the concurrent positioning ranges supported by a device. Concurrent positioning ranges are used to inform which actuator is used for a given range in LBA space.

--partitionInfo

    Use this option to look for a partition table and dump the list of partitions on a given disk. Currently only MBR and GPT partition tables are supported.

    SATA Only: ========= --smartAttributes [raw | hybrid | analyzed] (SATA Only)

    The drive will display its list of supported SMART attributes. Some attributes names are commonly standard and most others are vendor unique. In either case, the attribute thresholds are always vendor unique. Most attributes are informational and not used to determine a warranty return. Use the --smartCheck command to determine if one of the warranty attributes has been tripped. Seagate Support does not help to analyze SMART attributes. Output modes:

    raw - All hex output for those that need every single bit. hybrid - classic table view with some interpretation of some

fields. Partial raw interpretation, but not all drive
    and firmware combinations are supported.

analyzed - a full breakdown of all parts of each individual
    attribute's data. Full raw data interpretation only available on select devices.

    NOTE: Migration to device statistics is recommended.

    SAS Only: ========= --defectFormat [ # | shortBlock | longBlock | xbfi | xchs | bfi | chs ] (SAS Only)

    This option set the format of the defects to output. Not all drives will support all defect modes! SSDs will only support block modes! Arguments: (name | #)

    shortBlock | 0 - show the defects in short block address mode (drives < 32bit LBA) xbfi | 1 - show the defects in extended bytes from index mode xchs | 2 - show the defects in extended physical cylinder-head-sector mode longBlock | 3 - show the defects in long block address mode (drives > 32bit LBA) bfi | 4 - show the defects in bytes from index mode chs | 5 - show the defects in physical cylinder-head-sector mode

--showSCSIDefects [ p | g | pg ]
    (SAS Only)

    This option will display the SCSI defects on the screen. The arguments to this will tell whether to get the grown, primary, or primary and grown defects from the drive. Use the --defectFormat option to specify the mode to display the defects. If no mode is specified, physical cylinder-head-sector mode is assumed Arguments:

    p - use this option to pull and display the primary (factory) defects g - use this option to pull and display the grown (reallocated) defects

    The above options can be combined to pull and display both defect lists.

    Utility Version: 2.5.0 opensea-common Version: 2.0.0 opensea-transport Version: 6.2.0 opensea-operations Version: 5.1.1 Build Date: Dec 1 2023 Compiled Architecture: X86_64 Detected Endianness: Little Endian Compiler Used: GCC Compiler Version: 7.5.0 Operating System Type: Linux Operating System Version: 4.15.0-211 Operating System Name: Ubuntu 18.04.6 LTS